Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.standard.type
Class ImageDescriptor

    java.lang.Object
      |
      +--com.beanexplorer.swing.table.Option
            |
            +--biouml.standard.type.ImageDescriptor

public class ImageDescriptor
extends Option
implements ImageObserver

Field Summary
`final static Dimension` | `DEFAULT_ORIGINAL_SIZE`

Constructor Summary
`ImageDescriptor(String source, Dimension size)`
`ImageDescriptor(String source)`
`ImageDescriptor()` Creates emty image.

Method Summary
`Image` | `getImage()`
`Dimension` | `getOriginalSize()`
`Dimension` | `getSize()`
`String` | `getSource()`
`boolean` | `imageUpdate(Image img, int info, int x, int y, int width, int height)` Implements the image observer interface.
`void` | `setSize(Dimension size)`
`void` | `setSource(String source)`

Methods inherited from class com.beanexplorer.swing.table.Option
`setParent, getParent, addPropertyChangeListener, removePropertyChangeListener, copyListenersTo`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_ORIGINAL_SIZE

    public final static Dimension DEFAULT_ORIGINAL_SIZE

Constructor Detail

### ImageDescriptor

    public ImageDescriptor(String source, Dimension size)

### ImageDescriptor

    public ImageDescriptor(String source)

### ImageDescriptor

    public ImageDescriptor()

  Creates emty image.

Method Detail

### getImage

    public Image getImage()

### getOriginalSize

    public Dimension getOriginalSize()

### getSize

    public Dimension getSize()

### getSource

    public String getSource()

### imageUpdate

    public boolean imageUpdate(Image img, int info, int x, int y, int width, int height)

  Implements the image observer interface.

### setSize

    public void setSize(Dimension size)

### setSource

    public void setSource(String source)

Association Links

to Class java.awt.Component

to Class java.awt.MediaTracker

to Class java.awt.Dimension

to Class java.lang.String

  The image source. Generally it should be name of image file.

to Class java.awt.Dimension

  The image size.

to Class java.awt.Dimension

  Original size of the image.

to Class java.awt.Image

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM